<?php

namespace App;

use Illuminate\Pagination\LengthAwarePaginator;

class CustomLengthAwarePaginator extends LengthAwarePaginator
{
    protected $additionalData;

    public function setAdditionalData($data)
    {
        $this->additionalData = $data;
    }

    public function getAdditionalData()
    {
        return $this->additionalData;
    }

    public function toArray()
    {
        $data = parent::toArray();
        $data['additional_data'] = $this->additionalData;
        return $data;
    }
}
