<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class EventCategory extends Model
{
    //
    protected $table = "event_category";
    protected $fillable = [
        'event_id', 'primary_category', 'secondary_category','venue_id','venue_address_id','event_categories','event_section','search_type','sub_category','source_id'];

    public function event(){
        return $this->belongsTo('App\Events','event_id');
    }
    
}
