<?php
namespace App;

use Illuminate\Database\Eloquent\Model;

class EventPerformers extends Model{
    
    protected $fillable = ['event_id','performer_id','prev_performer_id'];
    protected $table = "event_performers";
    
    public function performers(){
        return $this->belongsTo('App\Performers','performer_id');
    }
    
    public function events(){
        return $this->belongsTo('App\Events','event_id');
    }
}