<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class EventsMappedSources extends Model
{
    //
    protected $table = "event_mapped_sources";
    protected $fillable = ['event_id','source_id','created_at','updated_at'];

    public function event(){
        return $this->belongsTo('App\Events','event_id');
    }
    
    public function sources(){
        return $this->belongsTo('App\Sources','source_id');
    }
}
