<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class VenueMaps extends Model
{
    protected $table="venue_maps";
    protected $fillable = ["venue_id","map_id"];
    
    public function maps(){
        return $this->belongsTo('App\Maps','map_id');
    }
    
    public function venue(){
        return $this->belongsTo('App\Venue','venue_id');
    }
}