
<link href="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.css') }}" rel="stylesheet" />

<div class="row event_venue_detail_html">
    
    <p class="text text-danger">Note: Please Add "/" to category name for adding stubhub name. e.g "Longside Lower/Category 1". </p>
    <p class="text text-danger">Category name: Longside Lower & stubhub category name : Category 1 </p>
    
    @if($category->count() > 0)
	<div class="col-md-6">
	    
	    <h4>Venue Category</h4>
	    <div class="col-lg-4 mt-4">
            <button type="button" class="btn btn-warning waves-effect waves-light mb-2 me-2 delete_bulk_category"><i class="mdi mdi-minus-circle me-2 me-1"></i>Category/section</button>
        </div>
        <div class="custom-dd dd" id="nestable_list_1">
            @foreach($category as $ck=>$cat)
                <ol class="dd-list">
                    <li class="dd-item dd-collapsed" data-id="2">
                        @if(isset($manual_event) && !empty($manual_event))
                            <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:10px"  value="{{$cat->id}}" checked>
                        @endif
                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                        @if(isset($manual_venue) && !empty($manual_venue))
                        <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:60px"  value="{{$cat->id}}"  >
                        <i class="fa fa-trash delete_category category_{{$cat->id}}" style="float: right;cursor: pointer;padding-left: 0px;z-index: 100;position: absolute;right: 20px;top: 10px;"  data-id="{{$cat->id}}"></i>
                        <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 35px;top: 10px;" data-id="{{$cat->id}}"  class="fa fa-edit create_version_for_tixstock"></i>
                        @endif
                        <div class="dd-handle">
                           {{ trim(str_replace('(category)','',$cat->name)) }} @if(!empty($cat->stubhub_name)) <p class="text text-danger">Stubhub Name: {{$cat->stubhub_name}}</p> @endif
                        </div>
                        @if($cat->section)
                            @foreach($cat->section as $sk=>$sec)
                                <ol class="dd-list">
                                    <li
                                    class="dd-item dd-collapsed" data-id="3">
                                    @if(isset($manual_event) && !empty($manual_event))
                                        <input type="checkbox" class="form-check-input section_checkbox" style="float:right;margin-top:10px;margin-right:35px" name="sections[]" value="{{$sec->id}}" checked >
                                    @endif
                                    @if(isset($manual_venue) && !empty($manual_venue))
                                        <input type="checkbox" class="form-check-input section_checkbox" name="sections[]" style="float:right;margin-top:10px;margin-right:60px"  value="{{$sec->id}}">
                                    @endif
                                        <div class="dd-handle">
                                           {{ $sec->name }}
                                        </div>
                                    </li>
                                </ol>
                            @endforeach
                        @endif    
                    </li>
                </ol>
            @endforeach 
        </div>
	</div>
	@endif
	@if($tixstockCategory->count() > 0)

	<div class="col-md-6">
	     <h4>Tixstock</h4>
	     <div class="col-lg-4" style="margin-top: 5.5rem!important">
         </div>
	      <div class="custom-dd dd" id="nestable_list_2">
	  
            @foreach($tixstockCategory as $ck=>$cat)
                <ol class="dd-list">
                    <li class="dd-item dd-collapsed" data-id="2">
                        @if(isset($manual_event) && !empty($manual_event))
                            <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:10px"  value="{{$cat->id}}" checked>
                        @endif
                        @if(isset($manual_venue) && !empty($manual_venue))
                        <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:60px"  value="{{$cat->id}}" >
                        <i class="fa fa-trash delete_category category_{{$cat->id}}" style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 20px;top: 10px;"  data-id="{{$cat->id}}"></i>
                        
                        <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 35px;top: 10px;" data-id="{{$cat->id}}"  class="fa fa-edit edit_version_for_tixstock"></i>
                        @endif
                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                        
                        <div class="dd-handle">
                           {{ trim(str_replace('(category)','',$cat->name)) }} @if(!empty($cat->stubhub_name)) <span class="text text-danger">Stubhub Name: {{$cat->stubhub_name}}</span> @endif
                        </div>
                        @if($cat->section)
                            @foreach($cat->section as $sk=>$sec)
                                <ol class="dd-list">
                                    <li class="dd-item dd-collapsed" data-id="3">
                                    @if(isset($manual_event) && !empty($manual_event))
                                        <input type="checkbox" class="form-check-input section_checkbox" style="float:right;margin-top:10px;margin-right:35px" name="sections[]" value="{{$sec->id}}" checked>
                                    @endif
                                    @if(isset($manual_venue) && !empty($manual_venue))
                                        <input type="checkbox" class="form-check-input section_checkbox" name="sections[]" style="float:right;margin-top:10px;margin-right:60px"  value="{{$sec->id}}" >
                                    @endif
                                        <div class="dd-handle">
                                           {{ $sec->name }}  @if(!empty($sec->stubhub_name)) <span class="text text-danger">Stubhub Name: {{$sec->stubhub_name}}</span> @endif
                                        </div>
                                    </li>
                                </ol>
                            @endforeach
                        @endif    
                    </li>
                </ol>
            @endforeach 
        </div>
	</div>
	@endif
	
    </div>
    
   
    @if(!empty($tixstockCategory))
    @if(isset($manual_venue) && !empty($manual_venue))
    <h4>Tixstock</h4>
    @endif
    <div class="">
    <input type="hidden" name="venue_id"  id="venue_id" value="{{$venueId}}" />
       @foreach($tixstockCategory as $ck=>$cat)
		<!-- <div class="col-md-6 main_div">
			<ul class="sitemap">
				<li>
					<input type="hidden" name="newly_add_category[{{$cat->id}}]" pos="{{$cat->id}}" id="newly_add_category" value="{{$cat->id}}" />
					<i class="mdi mdi-delete delete_category category_{{$cat->id}}" style="float:right;cursor:pointer" data-id="{{$cat->id}}"></i>
                    <a class="fw-bold inline-category" href="#" id="inline-category" data-type="text" data-url="{{route('events.venue.category.update')}}" data-venue="{{$cat->venue_id}}" data-name="category_id" data-pk="{{$cat->id}}" data-title="Enter Category">
					<i class="mdi mdi-adjust me-1"></i>{{ trim(str_replace('(category)','',$cat->name)) }}</a>
					@if($cat->section)
                    <ul class="sub_section">
                        @foreach($cat->section as $sk=>$sec)
						<li>
						    
                            <input type="hidden" name="newly_add_section[{{$cat->id}}][]" id="newly_add_section" value="{{$sec->id}}">
                            <i class="mdi mdi-delete delete_section section_{{$sec->id}}" style="float:right;cursor:pointer" data-id="{{$sec->id}}"></i>
                            <a href="#" class="fw-bold inline-section" id="inline-section" data-type="text" data-url="datatable_record_update.php" data-name="section_id" data-pk="{{$cat->venue_id}}" data-title="Enter Section">
                                <i class="mdi mdi-menu-right-outline me-1"></i>{{ $sec->name }}
                            </a>
                            
                        </li>
                        @endforeach
                    </ul>
                    @endif
				</li>
			</ul>
			<div class="add_new_section_div">
				<div class="row mb-2 section_details_div" style="display:none;">
					<div class="col-md-6">
						<label class="form-label">Enter Section:</label>
						<a href="#" class="inline-add-section" id="section-select" data-type="text" data-pk="" data-title="Enter Section"></a>
					</div>
				</div>
				<button type="button" title="Add Section" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" class="btn btn-sm btn-primary waves-effect waves-light mb-2 me-2 add_section float-end"><i class="mdi mdi-plus-circle"></i></button>
			</div>
		</div> -->
        @endforeach
       

	</div>
    @endif
</div>
@if(isset($manual_venue) && !empty($manual_venue))
<div class="row mb-2 category_details_div" style="display:none;">
    <div class="col-lg-6">
        <label class="form-label">Enter Category:</label>
        <a href="#" class="inline-add-category" id="category-select" data-type="text" data-pk="" data-title="Enter Category"></a>
        <!--<a href="#" class="inline-add-stubhubname" id="stubhub-name" data-type="text" data-pk="" data-title="Enter Stubhub Name"></a>-->
    </div>
</div>
<div class="row mb-2 section_details_div" style="display:none;">
    <div class="col-md-6">
        <label class="form-label">Enter Section:</label>
            <a href="#" class="inline-add-section" id="section-select" data-type="text" data-pk="" data-title="Enter Section"></a>
    </div>
</div>


<div class="row sample_div_cat_section" style="display:none;">
    <input type="hidden" name="newly_add_category[]" pos="0" id="newly_add_category" value="" disabled="true" />
    <div class="col-md-6 main_div">
        <ul class="sitemap">
            <li>
                <a class="fw-bold text-danger" href="#" id="inline-category" data-type="text" data-mode="add" data-url="datatable_record_update.php" data-name="category_id" data-pk="" data-title="Enter Category"><i class="mdi mdi-adjust me-1"></i></a>
            </li>
        </ul>
        <div class="add_new_section_div"><div class="row mb-2 section_details_div" style="display:none;">
            <div class="col-md-6">
                <label class="form-label">Enter Section:</label>
                <a href="#" class="inline-add-section" id="section-select" data-type="text" data-pk="" data-title="Enter Section"></a>
            </div>
        </div>
        <button type="button" title="Add Section" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" class="btn btn-sm btn-primary waves-effect waves-light mb-2 me-2 add_section float-end"><i class="mdi mdi-plus-circle"></i></button></div>
    </div>
</div>
<div class="row mb-2">
    <div class="col-lg-4 mt-4">
        <button type="button" class="btn btn-danger waves-effect waves-light mb-2 me-2 add_category"><i class="mdi mdi-plus-circle me-2 me-1"></i> Add Category</button>
    </div>
</div>
@endif
<script>
    $(document).on('change','.category_checkbox',function(){
        if($(this).is(":checked")){
            $(this).parent("li").find('.section_checkbox').attr("checked",true);
        }else{
            $(this).parent("li").find('.section_checkbox').attr("checked",false);
        }
    });
    
    $(document).on('click','.delete_bulk_category',function(){
   
    var categories=[];
    var sections = [];
    
    $(".category_checkbox:checked").each(function(){
        categories.push($(this).val());
    });
    $(".section_checkbox:checked").each(function(){
        sections.push($(this).val());
    });
  
    if(categories.length <=  0){
        Swal.fire("Please Select Category.");
        return;
    }
    
    Swal.fire({
        title: "Are you sure?",
        icon: "warning",
        showCancelButton: !0,
        // confirmButtonColor: "#28bb4b",
        // cancelButtonColor: "#f34e4e",
        confirmButtonText: "Delete Category?",
        cancelButtonText: "Cancel?"
    })
    .then(function(result,me) {
        if (result.isConfirmed) {
            categories = categories.join(",");
            sections  =  sections.join(",");
            
            $.ajax({
            url: "{{route('venue.bulk.category.delete')}}",
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'post',
            data: {"categories":categories,"sections":sections},
            success: function(response){
              Swal.fire({
                    title: response.msg,
                    icon: "success"
                }).then(function() {
                    $(".category_"+categoryId).parent('li').remove();
                })
            }
        })
    }
        else{
            console.log("test");
        }
    })    
    });
</script>
<script src="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.js') }}"></script>
<script src="{{ asset('public/assets/js/pages/nestable.init.js') }} "></script>