<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use App\Sources;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\API\TicketEvolutionController as TivoApi;
class FetchTicketEvolutionData extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'fetch:tivodata';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This command will fetch tivo events of 6 months from current date of specific categories of tivo.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $api = new TivoApi();
        $api->fetchEvent();
    }
    
    
    
}
