<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class SourceCategoryMapping extends Model
{
    //
    protected $table = "source_category_mapping";
    protected $fillable = ['our_category_id','source_category_name','source_id'];
    
    public function category(){
        return $this->belongsTo('App\Categories','our_category_id');
    }
    
    public function source(){
        return $this->belongsTo('App\Sources','source_id');
    }
}
