<?php 
namespace App\Traits;
use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use Illuminate\Support\Facades\Log;
trait ApiTrait{

    
    public function fetchData($url,$token=null){
        if($token==null){
            $token=env('STUBHUB_TOKEN');
        }
        
        $curl = curl_init();
        
        curl_setopt_array($curl, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "GET",
        CURLOPT_HTTPHEADER => array(
            "authorization: Bearer ".$token,
            "content-type: application/json"
        ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        
        if ($err) {
            //store logs in database
            echo "cURL Error #:" . $err;
            //Logs::create(['type'=>'API','domain'=>'Stubhub','url'=>$url,'message'=>$error]);
            return [];
        } else {
            //process data to database
            $response =  json_decode($response,true);
            
            return $response;  
        }
    }
    
    public function fetchPostData($url,$token=null,$data=null){
        if($token==null){
            $token=env('STUBHUB_TOKEN');
        }
        echo "<pre>";
        print_r($data);
        exit;
         $curl = curl_init();
         $curl_headers= array(
            "authorization: Bearer ".$token,
            "content-type: application/json"
        );
        
        curl_setopt($curl, CURLOPT_HTTPHEADER, $curl_headers);
        curl_setopt($curl, CURLOPT_HEADER, false );
        curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_ENCODING , 'gzip, deflate');
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST , false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER , false);
        curl_setopt($curl, CURLOPT_TIMEOUT , 500 );
        curl_setopt($curl, CURLINFO_HEADER_OUT, false);
        curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        
        $output = curl_exec($curl);
        curl_close($curl);
        $response = json_decode($output,true);
        dd($response);
        
    }

   
}
?>