<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Venues extends Model
{
    //
    protected $fillable = [
        'id','tixstock_id', 'name', 'address_line_1','address_line_2','city','state','post_code','country','source_id'];

    public function category(){
        return $this->hasMany('App\VenueCategory','venue_id');
    }
    
    public function venueAdditionalInfo(){
        return $this->hasMany('App\VenueAdditionalInfo','venue_id');
    }
}
