
<link href="{{ asset('public/assets/libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">

<style>
  .select2-container--open{
        z-index: 9999 !important ;
    }
</style>
<div class="row">
                <div class="alert alert-success alert-dismissible fade show version_move_tixstock_success_response" style="display:none" role="alert">
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    <div class="version_tixstock_log_success_message"></div>
                </div>
                <div class="alert alert-danger alert-dismissible fade show version_move_tixstock_error_response" style="display:none" role="alert">
                      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                      <div class="version_tixstock_log_error_message"></div>  
                </div>
    @foreach($events as $event)
    <div class="col-xl-4">
        <div class="card_{{$event->source_id}}">
            <form class="form" action="{{ route('event.update',$event->id) }}" method="post">
                @csrf
                <input type="hidden" name="_method" value="put">
                <input type="hidden" name="event_id" value="{{$event->id}}">
                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item active">
                            <i class="mdi me-1"></i>@if($event->source_id==0) Manual @else {{$event->source->name}} @endif
                            <div  class="version_move_to_tixstock_loader spinner-border spinner-border-sm m-0 delete" style="display:none" role="status"></div>
                            
                            @if($event->mapped_status == 1)
                            <button style="float:right" type="button" class="btn btn-sm btn-warning move_to_tixstock" event_id="{{$event->id}}">
                                <i class="fas fa-share"></i>
                            </button>
                            @endif
                            
                            <button type="button" style="float:right" class="btn btn-sm btn-primary make_event_default" event_id="{{$event->id}}">
                                @if($event->id == $default_event_id)
                                <i class="fas fa-star"></i>
                                @else
                                <i class="far fa-star"></i>
                                @endif
                            </button>
                            
                            <button style="float:right" type="button" class="btn btn-sm btn-warning delete" id="{{ $event->id }}"  data-src="{{ route('event.destroy', $event->id) }}">
                                <i class="fa fa-trash"></i>
                            </button>
                             @if($event->mapped_status != 1)
                            <button style="" type="button" class="btn btn-sm btn-warning make_primary_event" id="{{ $event->id }}" data-toggle="tooltip" title = "Create Individual Event">
                                <i class="fa fa-reply"></i>
                            </button>
                            @endif
                        </li>
                        
                        <li class="list-group-item">
                            <i class="mdi me-1"></i>
                            <label for="" class="form-label">Event Category</label>
                            <div class="input-group">
                                 <select class="form-control" name="event_category" id="event_category">
                                    <option value="">Please Select Category</option>
                                    <option value="{{$event->eventcategory->primary_category}}" selected>@if(!empty($event->eventcategory->primary_category)) {{$event->eventcategory->primary_category}} @endif</option>
                                    @foreach($eventCategory as $category)
                                        <option value="{{$category}}" @if($event->search_type == $category)selected @endif>{{$category}}</option>
                                    @endforeach
                                 </select>
                                
                            </div>
                        </li>
                        
                        <li class="list-group-item">
                            <i class="mdi mdi-birthdate me-1"></i>
                            <label for="" class="form-label">Event Name</label>
                            <input type="text" name="name" class="form-control" id="" value="{{$event->name}}">
                            <br>
                           
                        </li>
                        
                        <li class="list-group-item">
                            <i class="mdi mdi-birthdate me-1"></i>
                            <label for="" class="form-label">External Id</label>
                            <input type="text" class="form-control" name="external_id" id="" value="{{$event->external_id}}">
                        </li>
                        
                        <li class="list-group-item"><i class="mdi me-1"></i>
                            <!--<input type="text" class="form-control" id="" value="{{$event->event_date}}">-->
                            <label for="" class="form-label">Event Date</label>
                            <input type="text" id="event_date_{{$event->id}}" name="event_date" class="form-control" placeholder="Date and Time">
                            <br>
                           
                        </li>
                        
                        <li class="list-group-item">
                            <i class="mdi me-1"></i>
                            <label for="" class="form-label">Venue Details</label>
                            <div class="input-group">
                                 <select name="venue" id="venue" class="form-control select2 venue" data-toggle="select2" data-width="100%" >
                                    <option>Please Select Venue</option>
                                    @if(!empty($venues))
                                        @foreach($venues as $venue)
                                         <option value="{{$venue->id}}"  @if($event->venue_id == $venue->id)selected @endif>{{$venue->name}}</option>
                                        @endforeach
                                    @endif
                                 </select>
                                <button type="button" event_name="{{ $event->name }}" id="{{ $event->id }}"  class="btn btn-primary input-group-text waves-effect waves-light event_venue_detail_btn" dir="ltr" data-style="expand-right" title="View Detail" data-original-title="View Detail" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""><i class="mdi mdi-eye"></i></button>
                                <br>
                  
                            </div>
                        </li>
                        
                        <li class="list-group-item">
                            <i class="mdi me-1"></i>
                            <label for="" class="form-label">Venue Address</label>
                            <div class="input-group venue_address_details" >
                                <select name="venue_address" id="venue_address" class="form-control select2 venue_address" >
                                    <option value="" >Please Select Address</option>
                                    @if(!empty($event->venue->venueAdditionalInfo))
                                        @foreach($event->venue->venueAdditionalInfo as $address)
                                         <option value="{{$address->id}}" @if($event->venue_address_id == $address->id)selected @endif>{{$address->address_line_1}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </li>
                        
                        <li class="list-group-item performer_version">
                            <i class="mdi me-1"></i> 
                            <label for="" class="form-label">Performers</label> 
                            <select class="form-control select2-multiple version_perfomer" id="" name="performers[]" data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Choose ...">
                                <?php
                                $eventPerformers=[];
                                if(!empty($event->performers)){
                                    foreach($event->performers as $event_performers){
                                        $eventPerformers[]=$event_performers->id;
                                    }
                                }
                                    
                                ?>
                                @foreach($performers as $performer)
                                <option value="{{$performer->id}}"  @if(in_array($performer->id,$eventPerformers)) selected @endif><?php echo $performer->name; ?></option>
                                @endforeach
                            </select>
                            <br>
                        </li>
                        @if($event->maps)<li class="list-group-item">Map Url : <a class="ms-2" href="{{ $event->maps->url }}" target="_blank"><i class="mdi mdi-link-variant font-18 text-success me-1 align-middle"></i></a></li>@endif
                        <li class="list-group-item">Mapped Status: @if($event->mapped_status == 1) True @else False @endif</li>
                        <li class="list-group-item">Update Requires: @if($event->update_requires == 1) True @else False @endif</li>
                        <li class="list-group-item">
                            <button type="submit"  class="btn btn-primary float-end">Update</button>
                        </li>
                        
                    
                </ul>
            </div> <!-- end card-body -->
            </form>
        </div> <!-- end card-->
        
    </div> <!-- end col -->
    <script>
        $("#event_date_<?php echo $event->id; ?>").flatpickr({enableTime:!0,dateFormat:"Y-m-d H:i",defaultDate:"{{$event->event_date}}"});
        
    </script>
    @endforeach
</div>

<script src="{{ asset('public/assets/libs/flatpickr/flatpickr.min.js') }}"></script>

<script src="{{ asset('public/assets/libs/multiselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
 

<script>
$(document).on('change','.venue',function(){
    // $(this).parents('.card-body').find('.venue_address_details').html("test");
    var id = $(this).val();
    var me = $(this);
    $(this).closest('div').find('.event_venue_detail_btn').attr('id',id);
    $.ajax({
       url: '{{route("venue.get.address.details")}}',
        type: 'post',
        data: {'id':id,'method':'get_venue_address_details','_token':"{{csrf_token()}}"},
        success: function(response){
            
            me.parents('.card-body').find('.venue_address_details').html(response.html);
        }
    })
});
$(document).on('click', '.event_venue_detail_btn', function (e) {
                    e.preventDefault();  
                    var id = $(this).attr("id");
                    var event_name = $(this).attr("event_name");
                    var me = $(this);
                    var la = Ladda.create(this);
                    la.start();

                    $.ajax({
                        url: '{{route("fetch.event.venue.details")}}',
                        type: 'post',
                        data: {'id':id,'method':'stubhub_event_venue_get','_token':"{{csrf_token()}}"},
                        success: function(response){
                            la.stop();
                             me.removeClass('ladda-button');
                            $('#standard-modal').find('.dynamic_content').html('');
                            $('#standard-modal').modal('show');
                            $('#standard-modal').find('#standard-modalLabel').text(event_name);
                            $('#standard-modal').find('#modal_form').find('#id').val(response.id);
                            
                            $('#standard-modal').find('.dynamic_content').html(response.html);
                            tippy('[data-plugin="tippy"]');
                            
                            var parent = $('#standard-modal').find('.modal-body');
                            $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                            
                            $.fn.editable.defaults.mode = 'inline';
                            $(parent).find(".inline-category").editable({
                                display:function(value) {
                                     $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                                 }
                            });
                            $(parent).find(".inline-section").editable({
                                 display:function(value) {
                                     $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                                 }
                            });
                        }
                    });
                    
                });
                
$(document).ready(function(){
    // $('.venue_version').select2();
    $('.version_perfomer').select2();
  
});

$(document).on('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
                url: me.attr('action'),
                type: me.attr('method'),
                data: fd,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend: function() {
                // setting a timeout
                $('.submit').prop('disabled', true);
                },
                success: function(response){
                    if(response.success == true){
                        $('.submit').prop('disabled', false);
                        Swal.fire("Done",response.msg,"success");
                    }
                    if(response.success == false){
                        Swal.fire("Error",response.msg,"error");
                    }
                },
                error:function(response){
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div.form-group')
                    .removeClass('.has-error')
                    .addClass(value.length > 0 ? 'has-error':'has-success' )
                    .find('.text-danger')
                    .remove();
                    element.after('<p class="text text-danger">'+value+'</p>');
                    });
                }
            });
            e.stopImmediatePropagation();
            return false;
        })
        
$(document).on('click','.move_to_tixstock',function(){
               
               var event_version = $(this);
                var id = $(this).attr("event_id");
                var checkedEvents=[];
                // $("input:checkbox[name=events]:checked").each(function(){
                checkedEvents.push(id);
                // });
                    
                   $(document).find('#error_msg').text('');
                 
                   if(checkedEvents.length > 0){
                       Swal.fire({
                            title: "Are you sure?",
                            text: "You want to move this to Tixstock!",
                            icon: "warning",
                            showCancelButton: !0,
                            confirmButtonColor: "#28bb4b",
                            cancelButtonColor: "#f34e4e",
                            confirmButtonText: "Yes",
                            cancelButtonText: "No",
                        }).then(function(e) {
                            
                            checkedEvents = checkedEvents.join(',');
                            if(e.value==true){
                                event_version.closest("form").find(".version_move_to_tixstock_loader").show();
                                $(".move_tixstock_btn").prop('disabled','true');
                               
                                $.ajax({
                                    url: "{{route('tixstock.events.add')}}",
                                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                                    type: 'post',
                                    data: {"event_id":checkedEvents},
                                    success: function(response){
                                       $(".move_tixstock_btn").prop('disabled',false);
                                       event_version.closest("form").find(".version_move_to_tixstock_loader").hide();
                                        if(response.successmsg != ''){
                                            $(".version_tixstock_log_success_message").html(response.successmsg);
                                            $(".version_move_tixstock_success_response").show();
                                        }
                                        if(response.errormsg != ''){
                                           $(".version_tixstock_log_error_message").html(response.errormsg);
                                           $(".version_move_tixstock_error_response").show();  
                                           
                                        }
                                    // Swal.fire({
                                    //         title: 'successfully moved data!',
                                    //         icon: "success"
                                    //     }).then(function() {
                                           
                                    //     })
                        } 
                                })
                            }
                            // e.value && Swal.fire("Deleted!", "Your file has been deleted.", "success")
                        })
                   }
                   else{
                       $(document).find('#error_msg').text('Please Select Checkbox');
                   }
               });
               
$(document).on('click','.make_event_default',function(){
    var event_id = $(this).attr("event_id");
    var default_event_button = $(this);
    var other_event = [];
    var other_event_id = $(".make_event_default").each(function(){
        console.log(event_id);
        var id = $(this).attr("event_id");
        if(id!=event_id){
             other_event.push(id);
        }
    });
                    Swal.fire({
                            title: "Are you sure?",
                            text: "You want to make this event default!",
                            icon: "warning",
                            showCancelButton: !0,
                            confirmButtonColor: "#28bb4b",
                            cancelButtonColor: "#f34e4e",
                            confirmButtonText: "Yes",
                            cancelButtonText: "No",
                        }).then(function(e) {
                            
                            other_event = other_event.join(',');
                            if(e.value==true){
                                
                                $(".make_event_default").prop('disabled','true');
                               
                                $.ajax({
                                    url: "{{route('events.make.default')}}",
                                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                                    type: 'post',
                                    data: {"event_id":event_id,"other_event":other_event},
                                    success: function(response){
                                       $(".make_event_default").prop('disabled',false);
                                       $(".make_event_default").each(function(){
                                           $(this).html('<i class="far fa-star"></i>');
                                       })
                                       default_event_button.html('<i class="fas fa-star"></i>');
                                    } 
                                })
                            }
                            // e.value && Swal.fire("Deleted!", "Your file has been deleted.", "success")
                        })
    
});
$(document).on('click','.make_primary_event',function(){
    var event_id = $(this).attr("id");
    
    Swal.fire({
            title: "Are you sure?",
            text: "You want to make this event primary!",
            icon: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#28bb4b",
            cancelButtonColor: "#f34e4e",
            confirmButtonText: "Yes",
            cancelButtonText: "No",
        }).then(function(e) {
            
            if(e.value==true){
                
                $(".make_primary_event").prop('disabled','true');
               
                $.ajax({
                    url: "{{route('events.make.primary')}}",
                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    type: 'post',
                    data: {"event_id":event_id},
                    success: function(response){
                       $(".make_primary_event").prop('disabled',false);
                       Swal.fire("Events set as primary.");
                       $("#eventVersion-modal").modal('toggle');
                    } 
                })
            }
            // e.value && Swal.fire("Deleted!", "Your file has been deleted.", "success")
        })
    
});

$(document).on('click','.delete',function(){
                var _token = $('input[name="_token"]').val();
                $id=$(this).attr('id');
                $action=$(this).data('src');
                Swal.fire({
                title: "Are you sure?",
                text: "Event will be Deleted!",
                type: "warning",
                showCancelButton: true,
                confirmButtonClass: "btn-danger",
                confirmButtonText: "Yes, Delete Event!",
                closeOnConfirm: false
                }).then((result)=>{
                    if(result['isConfirmed']){
                        $.ajax({
                        url: $action,
                        type: "DELETE",
                        data:{
                        "_token": "{{ csrf_token() }}",
                        },
                        success: function (){
                        Swal.fire("Deleted!", "Event has been deleted.", "success");
                        $('#stubhub-datatable').DataTable().ajax.reload();
                        }
                    });
                    }
                })
            });
</script>
