                        <script src="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.js') }}"></script>
                        <link href="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.css')}}" type="text/css" rel="stylesheet">
                        <div class="col-xl-12">
                                <div id="accordion" class="mb-3">
                                    @if($tixstockLog->count() > 0)
                                        @php $count=1; @endphp
                                        @foreach($tixstockLog as $log)
                                            <div class="card mb-1">
                                                <div class="card-header" id="heading{{$count}}">
                                                    <h5 class="m-0">
                                                        <a class="text-dark collapsed" data-bs-toggle="collapse" href="#collapse{{$count}}" aria-expanded="false">
                                                            <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                            Type : {{$log->type}} | Source : {{$log->source->name}}
                                                            <span style="float:right">Created Date : {{$log->created_at}}</span>
                                                        </a>
                                                    </h5>
                                                </div>
                            
                                                <div id="collapse{{$count}}" class="collapse" aria-labelledby="heading{{$count}}" data-bs-parent="#accordion{{$count}}" style="">
                                                    <div class="card-body">
                                                           <div class="card mb-1">
                                                                <div class="card-header" id="request_header{{$count}}">
                                                                <h5 class="m-0">
                                                                    <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_header_{{$count}}" aria-expanded="false">
                                                                        <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                       Request Header
                                                                    </a>
                                                                </h5>
                                                            </div>
                                                            <div id="request_header_{{$count}}" class="collapse" aria-labelledby="request_header_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                <div class="card-body">
                                                                      <li>Url : <?php  $data = json_decode($log->form_data,true); echo $url = isset($data['url']) && !empty($data['url']) ? $data['url'] : '';  ?></li>
                                                                      <li>Content Type : Application/json</li>
                                                                      <li>Token : {{ $log->source->token }}</li>   
                                                                </div>
                                                            </div>
                                            </div> 
                                                           <div class="card mb-1">
                                                                <div class="card-header" id="request_body{{$count}}">
                                                                    <h5 class="m-0">
                                                                    <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_body_{{$count}}" aria-expanded="false">
                                                                        <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                       Request Body
                                                                    </a>
                                                                </h5>
                                                                </div>
                                                                <div id="request_body_{{$count}}" class="collapse" aria-labelledby="request_body_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                    <div class="card-body" >
                                                                       <pre id="json-formdata{{$count}}"></pre>
                                                                       <script>
                                                                           $('#json-formdata{{$count}}').jsonViewer(<?php echo $log->form_data; ?>);
                                                                       </script>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="card mb-1" >
                                                                <div class="card-header" id="request_body{{$count}}">
                                                                <h5 class="m-0">
                                                                    <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_response_{{$count}}" aria-expanded="false">
                                                                        <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                       Request Response
                                                                    </a>
                                                                </h5>
                                                                </div>
                                                                <div id="request_response_{{$count}}" class="collapse" aria-labelledby="request_response_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                    <div class="card-body">
                                                                        <pre id="json-response{{$count}}"></pre>
                                                                        <script>
                                                                           $('#json-response{{$count}}').jsonViewer(<?php echo $log->message; ?>);
                                                                        </script>  
                                                                    </div>
                                                                </div>
                                                            </div> 
                                                    </div>
                                                </div>
                                            </div>
                                        @php $count++; @endphp
                                        @endforeach
                                    @endif
                                 
                                </div> <!-- end #accordions-->
                            </div>
                            