
<link href="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.css') }}" rel="stylesheet" />

<ul class="nav nav-tabs nav-bordered nav-justified">
    <li class="nav-item">
        <a href="#cat-b2" data-bs-toggle="tab" aria-expanded="false" class="nav-link active">
            Categories
        </a>
    </li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="cat-b2">
        <form id="bulk_update_cat_section" action="{{route('submit.bulk.event.cat.section')}}" method="post">
            @csrf
            <input type="hidden" name="id" id="id" value="{{ $events }}" />
            <input type="hidden" name="venue_id" value="{{$venueId}}">
                <div class="row event_venue_detail_html">
                    @if($category->count() > 0)
                	<div class="col-md-6">
                	    <h4>Venue Category</h4>
                        <div class="custom-dd dd" id="nestable_list_1">
                            @foreach($category as $ck=>$cat)
                                <ol class="dd-list">
                                    <li class="dd-item dd-collapsed" data-id="2">
                                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                        @if(isset($manual_event) && !empty($manual_event))
                                            <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:10px"   value="{{$cat->id}}">
                                        @endif
                                        <div class="dd-handle">
                                      
                                            <?php 
                                                if(!empty($cat->stubhub_name)){
                                                    $cat->name = $cat->name."<p class='text text-danger'>Stubhub Name:".$cat->stubhub_name."</p>";
                                                }
                                                echo trim(str_replace('(category)','',$cat->name));
                                            ?>
                                           {{-- trim(str_replace('(category)','',$cat->name)) --}}
                                        </div>
                                        @if($cat->section)
                                            @foreach($cat->section as $sk=>$sec)
                                                <ol class="dd-list">
                                                  
                                                    <li class="dd-item dd-collapsed" data-id="3">
                                                    @if(isset($manual_event) && !empty($manual_event))
                                                        <input type="checkbox" class="form-check-input section_checkbox" style="float:right;margin-top:10px;margin-right:35px" name="sections[]"  value="{{$sec->id}}" >
                                                    @endif
                                                        <div class="dd-handle">
                                                            <?php 
                                                            if(!empty($cat->stubhub_name)){
                                                                $sec->name = $sec->name."<p class='text text-danger'>Stubhub Name:".$sec->stubhub_name."</p>";
                                                            }
                                                            echo $sec->name;
                                                            ?>
                                                           {{-- $sec->name --}}
                                                        </div>
                                                    </li>
                                                </ol>
                                            @endforeach
                                        @endif    
                                    </li>
                                </ol>
                            @endforeach 
                        </div>
                	</div>
                    @endif
                    
                    @if($otherCategory != NULL  && $otherCategory->count() > 0)
                	<div class="col-md-6">
                	    <h4>Other Venue Category</h4>
                	    <div class="custom-dd dd" id="nestable_list_2">
                            @foreach($otherCategory as $ck=>$cat)
                                <ol class="dd-list"> 
                                    <li class="dd-item dd-collapsed" data-id="2">
                                        @if(isset($manual_event) && !empty($manual_event))
                                            <input type="checkbox" class="form-check-input category_checkbox" name="category[]" style="float:right;margin-top:10px;margin-right:10px"  value="{{$cat->id}}">
                                        @endif
                                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                        <div class="dd-handle">
                                            <?php 
                                                if(!empty($cat->stubhub_name)){
                                                    $cat->name = $cat->name."  <p class='text text-danger'>Stubhub Name:".$cat->stubhub_name."</p>";
                                                }
                                                echo $cat->name;
                                            ?>
                                           
                                        </div>
                                        @if($cat->section)
                                            @foreach($cat->section as $sk=>$sec)
                                                <ol class="dd-list">
                                                    <li class="dd-item dd-collapsed" data-id="3">
                                                    @if(isset($manual_event) && !empty($manual_event))
                                                        <input type="checkbox" class="form-check-input section_checkbox" style="float:right;margin-top:10px;margin-right:35px"  name="sections[]" value="{{$sec->id}}">
                                                    @endif
                                                        <div class="dd-handle">
                                                        <?php 
                                                        if(!empty($sec->stubhub_name)){
                                                            $sec->name = $sec->name."   <p class='text text-danger'>Stubhub Name:".$sec->stubhub_name."</p>";
                                                        }
                                                        echo $sec->name;
                                                        ?>
                                                           
                                                        </div>
                                                    </li>
                                                </ol>
                                            @endforeach
                                        @endif    
                                    </li>
                                </ol>
                            @endforeach 
                        </div>
                	</div>
                	@endif
                  
                    @if(isset($tixstockCategory) && empty($tixstockCategory))
                        @if(isset($manual_event) && !$manual_event)
                        <h4>Tixstock</h4>
                        @endif
                        <div class="">
                        <input type="hidden" name="venue_id"  id="venue_id" value="{{$venueId}}" />
                          
                            @foreach($tixstockCategory as $ck=>$cat)
                    		<div class="col-md-6 main_div">
                    			<ul class="sitemap">
                    				<li>
                    					<input type="hidden" name="newly_add_category[{{$cat->id}}]" pos="{{$cat->id}}" id="newly_add_category" value="{{$cat->id}}" />
                    					<i class="mdi mdi-delete delete_category category_{{$cat->id}}" style="float:right;cursor:pointer" data-id="{{$cat->id}}"></i>
                                        <a class="fw-bold inline-category" href="#" id="inline-category" data-type="text" data-url="{{route('events.venue.category.update')}}" data-venue="{{$cat->venue_id}}" data-name="category_id" data-pk="{{$cat->id}}" data-title="Enter Category">
                    					<i class="mdi mdi-adjust me-1"></i>{{ trim(str_replace('(category)','',$cat->name)) }}</a>
                    					@if($cat->section)
                                        <ul class="sub_section">
                                            @foreach($cat->section as $sk=>$sec)
                    						<li>
                                                <input type="hidden" name="newly_add_section[{{$cat->id}}][]" id="newly_add_section" value="{{$sec->id}}">
                                                <i class="mdi mdi-delete delete_section section_{{$sec->id}}" style="float:right;cursor:pointer" data-id="{{$sec->id}}"></i>
                                                <a href="#" class="fw-bold inline-section" id="inline-section" data-type="text" data-url="datatable_record_update.php" data-name="section_id" data-pk="{{$cat->venue_id}}" data-title="Enter Section">
                                                    <i class="mdi mdi-menu-right-outline me-1"></i>{{ $sec->name }}
                                                </a>
                                                
                                            </li>
                                            @endforeach
                                        </ul>
                                        @endif
                    				</li>
                    			</ul>
                    			<div class="add_new_section_div">
                    				<div class="row mb-2 section_details_div" style="display:none;">
                    					<div class="col-md-6">
                    						<label class="form-label">Enter Section:</label>
                    						<a href="#" class="inline-add-section" id="section-select" data-type="text" data-pk="" data-title="Enter Section"></a>
                    					</div>
                    				</div>
                    				<button type="button" title="Add Section" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" class="btn btn-sm btn-primary waves-effect waves-light mb-2 me-2 add_section float-end"><i class="mdi mdi-plus-circle"></i></button>
                    			</div>
                    		</div>
                            @endforeach
                            
                    	</div>
                        @endif
                </div>
           <div class="float-end">
            <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
            <button type="submit" class="btn btn-success waves-effect waves-light m-1"><i class="fe-check-circle me-1"></i> Save Changes</button>
        </div> 
        </form>
        
    </div>
   
</div>





<script src="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.js') }}"></script>
<script src="{{ asset('public/assets/js/pages/nestable.init.js') }} "></script>
<script>
    $(document).on('change','.category_checkbox',function(){
        if($(this).is(":checked")){
            $(this).parent("li").find('.section_checkbox').attr("checked",true);
        }else{
            $(this).parent("li").find('.section_checkbox').attr("checked",false);
        }
    });
    $(document).one('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
                url: me.attr('action'),
                type: me.attr('method'),
                data: fd,
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend: function() {
                // setting a timeout
                $('.submit').prop('disabled', true);
                },
                success: function(response){
                    if(response.success == true){
                        $('.submit').prop('disabled', false);
                        Swal.fire("Done",response.msg,"success");
                          Swal.fire({
                                title: 'successfully saved data!',
                                icon: "success"
                            }).then(function() {
                                $('#standard-modal').find('#close_modal').trigger('click');
                                if(flag == 1){
                                    datatable.ajax.reload();
                                }
                            })
                    }
                    if(response.success == false){
                        Swal.fire("Error",response.msg,"error");
                    }
                },
                error:function(response){
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div.form-group')
                    .removeClass('.has-error')
                    .addClass(value.length > 0 ? 'has-error':'has-success' )
                    .find('.text-danger')
                    .remove();
                    element.after('<p class="text text-danger">'+value+'</p>');
                    });
                }
            });
        })
    
   
</script>
