<?php
use App\VenueCategory;
use App\VenueSection;
?>
<html>
<head>
</head>
<body>
    <table>
        <thead>
            <tr>
                <th>Category</th>
                <th>Map Name</th>
                <th>Name</th>
                <th>Event Date</th>
                <th>Venue</th>
                <th>Venue Address</th>
                <th>Performers</th>
                <th>Categories</th>
                <th>Sections</th>
                <th>Status</th>
            </tr>
        </thead>
        <tbody>
        @php $i=1; @endphp
        @foreach($table_data as $events)
        <?php
        $categories = "NA";
        $sections = "NA";
        $venue_address_html = "";
            
            if(!empty($events->venue_address_id)){
                if($events->venueAddress){
                    $venue_address_html = $events->venueAddress->address_line_1." ";
                    if($events->venue){
                        $city = isset($events->venue->city) && !empty($events->venue->city) ? $events->venue->city : '';
                        $state = isset($events->venue->state) && !empty($events->venue->state) ? $events->venue->state : '';
                        $post_code = isset($events->venue->post_code) && !empty($events->venue->post_code) ? $events->venue->post_code : '';
                        $country = isset($events->venue->country) && !empty($events->venue->country) ? $events->venue->country : '';
                        $venue_address_html.= $city.' '.$state.' '.$post_code.' '.$country;
                    }
                }
            }else{
                if($events->venue){
                    if($events->venue->venueAdditionalInfo->isNotEmpty()){
                        $city = isset($events->venue->city) && !empty($events->venue->city) ? $events->venue->city : '';
                        $state = isset($events->venue->state) && !empty($events->venue->state) ? $events->venue->state : '';
                        $post_code = isset($events->venue->post_code) && !empty($events->venue->post_code) ? $events->venue->post_code : '';
                        $country = isset($events->venue->country) && !empty($events->venue->country) ? $events->venue->country : '';
                        $venue_address_html = $events->venue->venueAdditionalInfo[0]->address_line_1." ";
                        $venue_address_html.= $city.' '.$state.' '.$post_code.' '.$country;
                    }else{
                        $city = isset($events->venue->city) && !empty($events->venue->city) ? $events->venue->city : '';
                        $state = isset($events->venue->state) && !empty($events->venue->state) ? $events->venue->state : '';
                        $post_code = isset($events->venue->post_code) && !empty($events->venue->post_code) ? $events->venue->post_code : '';
                        $country = isset($events->venue->country) && !empty($events->venue->country) ? $events->venue->country : '';
                        // $venue_address_html = $events->venue->venueAdditionalInfo[0]->address_line_1;
                        $venue_address_html.= $city.' '.$state.' '.$post_code.' '.$country;
                    }
                }
            }
            
            
            $performer='';
          
            if($events){
                if( $events->performers->count() > 0){
                    foreach($events->performers as $performers){
                        if(empty($performer)){
                            $performer = $performers->name;
                        }else{
                            $performer .= ','. $performers->name;
                        }
                    }
                }
            }
            
            $mapName = "";
            if($events){
                if($events->maps){
                    $mapName = $events->maps->name;
                }
            }
           
           
           if($events){
               if(!empty($events->eventcategory->event_categories)){
                    $eventCategories = $events->eventcategory->event_categories;
                    $eventCategories  = VenueCategory::select('name')->whereIn('id',explode(',',$eventCategories))->get()->toArray();
                    $eventCategories = array_column($eventCategories,'name');
                    $categories = implode(',',$eventCategories);
               }
               
               if(!empty($events->eventcategory->event_section)){
                    $eventSection = $events->eventcategory->event_section;
                    $eventSection = VenueSection::select('name')->whereIn('id',explode(',',$eventSection))->get()->toArray();
                    $eventSection = array_column($eventSection,'name');
                    $sections = implode(',',$eventSection);
               }
           }
          
            ?>
            <tr>
                <td>{{ $events->eventcategory->primary_category ?? '' }}</td>
                <td> {{ $mapName ?? '' }}</td>
                <td>{{ $events->name ?? ''   }}</td>
                <td>{{ $events->event_date ?? ''   }}</td>
                <td>{{ $events->venue->name ?? ''  }}</td>
                <td>{{ $venue_address_html }}</td>
                <td>{{ $performer  }}</td>
                <td>{{ $categories }}</td>
                <td>{{ $sections }}</td>
                <td>@if($events->mapped_status == 1) Mapped @else UnMapped @endif</td>
            </tr>
        @endforeach
        </tbody>
    </table>
</body>
</html>