<html lang="en">
    <head>
        @include('admin.layout.head')
        <style>
        div#wrapper{
            height : auto;
        }
        </style>
    </head>
    <body class="loading"  data-layout='{"mode": "light", "width": "fluid", "menuPosition": "fixed", "sidebar": { "color": "light", "size": "condensed", "showuser": false}, "topbar": {"color": "dark"}, "showRightSidebarOnPageLoad": true}'>
        <!-- Begin page -->
        <div id="wrapper">
        @include('admin.layout.header')
        @include('admin.layout.sidebar')
        <div class="content-page">
            <div class="content">
                <!-- Start Content-->
                <div class="container-fluid">
                    
                    <!-- start page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <div class="page-title-right">
                                    <?php if((isset($pageTitle) && !empty($pageTitle)) && $pageTitle == "View Events"){ ?>
                                    <a href="#" class="btn btn-info mb-2 float-end filter_btn" ><i class="fa fa-filter"></i> Filters </a>
                                    <button type="button" class="btn btn-success waves-effect waves-light fw-bold" style="margin-right:20px" id="move_tixstock_btn">
                                        <i class="mdi mdi-arrow-right-thick"></i> Move To Tixstock &nbsp; &nbsp; 
                                        <div class="move_to_tixstock_loader spinner-border spinner-border-sm m-0" style="display:none" role="status"></div>
                                    </button>
                                    <button type="button" class="btn btn-primary waves-effect waves-light fw-bold" style="margin-right:20px" id="bulk_update_btn">
                                        <i class="mdi mdi-arrow-right-thick"></i> Bulk Update &nbsp; &nbsp; 
                                        <div class="bulk_update_loader spinner-border spinner-border-sm m-0" style="display:none" role="status"></div>
                                    </button>
                                    <span id="error_msg" class="fw-bold"></span>
                                 
                                    <?php }else { ?>
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">@yield('prevtitle')</a></li>
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">@yield('title')</a></li>
                                    </ol>
                                    <?php } ?>
                                </div>
                                <h4 class="page-title">@yield('title')</h4>
                            </div>
                        </div>
                    </div>     
                    <!-- end page title --> 
                    <div class="content-section">
                        @yield('content')
                    </div>
                    <!-- end row -->  
                    </div> <!-- container -->
                </div> <!-- content -->
                @include('admin.layout.footer') 
            </div>
           
            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->
        </div>
        <!-- END wrapper -->
               
    </body>
</html>
