<div class="card">
    <div class="card-body">
        <form id="form" action="{{route('venue.update',$venue->id)}}" method="post">
            @csrf
            <input type="hidden" name="_method" value="put">
            <div class="row">
            <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="mb-3">
                                <label for="name" class="form-label">Name <span class="text-danger">*</span></label>
                                <input type="text" id="name" name="name" value="{{$venue->name}}" class="form-control" placeholder="Name">
                            </div>
                            <div class="mb-3">
                                <label for="city" class="form-label">City <span class="text-danger">*</span></label>
                                <input type="text" id="city" name="city" value="{{$venue->city}}" class="form-control" placeholder="City">
                            </div>
                           
                        </div>
                        
                        <div class="col-lg-6">
                            <div class="mb-3">
                                <label for="state" class="form-label">State <span class="text-danger">*</span></label>
                                <input type="text" id="state" name="state" value="{{$venue->state}}" class="form-control" placeholder="State">
                            </div>
                            <div class="mb-3">
                                <label for="country" class="form-label">Country <span class="text-danger">*</span></label>
                                <select class="form-control" name="country" id="country">
                                    @if(!empty($venue->country))
                                    <option value="{{$venue->country}}">{{$venue->country}}</option>
                                    @endif
                                    <option value="">Please Select Country Code</option>
                                        @foreach($countryCodes as $code=>$name)
                                        <option value="{{$code}}">{{$code}} - {{$name}}</option>
                                        @endforeach
                                </select>
                                <!--<input type="text" id="country" name="country" value="{{$venue->country}}" class="form-control" placeholder="country">-->
                            </div>
                        </div>
                    </div> <!-- end card -->
                </div> <!-- end col -->
                <div class="row loader" style="display:none;">
                    <div class="col-12">
                        <div class="text-center mb-3">
                            <div class="spinner-border avatar-lg text-primary m-2" role="status"></div>
                        </div><!-- end col -->
                    </div><!-- end col -->
                </div><!--end row-->
                 <a href="javascript:void(0);" data-id="{{$venueId}}" class="btn btn-danger mb-2 add_venue_address"><i class="mdi mdi-plus-circle me-2"></i> Add Address</a>
         <div class="table-responsive">
        <table class="table m-0 table-centered table-striped address_table">
            <thead>
                <tr>
                    <!--<th></th>-->
                    <th>Address line 1</th>
                    <th>Address line 2</th>
                    <th>Post Code</th>
                    <!--<th>Action</th>-->
                </tr>
            </thead>
            <tbody>
                @if($address->count() > 0)
                    @foreach($address as $add)
                    <tr>
                        <td>
                          {{-- $add->address_line_1 --}}  <input type="text" class="form-control address_line_1"  name="venue_address[{{$add->id}}][address_line_1]" value="{{ $add->address_line_1 }}">
                        <td>
                         {{-- $add->address_line_2 --}}   <input type="text" class="form-control address_line_2"  name="venue_address[{{$add->id}}][address_line_2]" value="{{ $add->address_line_2 }}">
                        <td>
                          {{-- $add->post_code --}}  <input type="text" class="form-control post_code"  name="venue_address[{{$add->id}}][post_code]" value="{{ $add->post_code }}">
                        </td>
                        <td>
                            <button type="button" class="btn btn-sm btn-sucesss delete_address" data-id="{{$add->id}}"><i class="fa fa-trash"></i></button>
                        </td>
                    </tr>
                    @endforeach
                @endif
            </tbody>
        </table>
        </div>
                <div class="row">
                    <div class="col-12">
                        <div class="text-center mb-3">
                            <button type="submit" id="save_btn" class="btn btn-success waves-effect submit waves-light m-1"><i class="fe-check-circle me-1"></i> Save</button>
                            <a href="{{route('venue.index')}}" type="button" class="btn btn-danger waves-effect waves-light m-1"><i class="fe-x me-1"></i> Cancel</a>
                        </div>
                    </div> <!-- end col -->
                </div>
            </div> <!-- end card -->
        </div> <!-- end col -->
    </div>
        <!-- end row -->
        </form>
    </div>
</div>
